#!/bin/sh

#  Resize.scpt
#  TestAppleScriptBridge
#
#  Created by Gareth Clarke on 12/09/2016.
#  Copyright © 2016 Gareth Clarke. All rights reserved.

on getApplicationCorrespondingToProcess(process_name)
    tell application "System Events"
    set application_file to file of (application processes where name is process_name)
    end tell
    return application_file
end getApplicationCorrespondingToProcess

on getProcessCorrespondingToApplication(application_name)
    tell application "System Events"
    set process_name to name of my application application_name
    end tell
    return process_name
end getProcessCorrespondingToApplication

# Returns the path opf the frontmost application
on frontmostApplication(someText)

    log "frontmostApplication" & tab & quoted form of (someText as text)

    set the_app to (path to frontmost application as Unicode text)
    return the_app
#return "returned";

end frontmostApplication

# Returns the bounds of the specified application Window 1
on boundsOfApplication(theApp)

    tell application theApp
        set theBounds to (get bounds of window 1)
    end tell

    log "boundsOfApplication" & tab & quoted form of (theBounds as text)

    return theBounds

end boundsOfApplication

# Returns the bounds of the specified application Window 1
on activeAppInformation(unusedParam)

    set the_app to (path to frontmost application as Unicode text)
#    tell application the_app
#    set theBounds to (get bounds of window 1)
#    end tell

    set the_process to getProcessCorrespondingToApplication(the_app)

    tell application "System Events" to tell application process the_process
    set the_size to (get size of window 1)
    set the_pos to (get position of window 1)
    end tell

#log "activeAppInformation using system events" & tab & quoted form of (theBounds as text)
    log "activeAppInformation using system events"

    set app_x to item 1 of the_pos
    set app_y to item 2 of the_pos
    set app_w to item 1 of the_size
    set app_h to item 2 of the_size
    set app_info to {the_app, app_x, app_y, app_w, app_h}
#set app_info to {"test", 0, 0, 0, 0}
    return app_info

end activeAppInformation

# Sets the bounds of the frontmost application to an arbitrary test rect
on resizeActiveWindow(someText)

    log "resizeActiveWindow" & tab & quoted form of (someText as text)

    set the_app to (path to frontmost application as Unicode text)

    log "application: " & quoted form of the_app

    tell application the_app
    activate
    set bounds of window 1 to { 1, 1, 1281, 721 }
    end tell

end resizeActiveWindow

# Sets the bounds of the frontmost application to an arbitrary test rect
on resizeActiveWindowWithRect(x, y, w, h)

    log "resizeActiveWindowWithRect"

    set the_app to (path to frontmost application as Unicode text)

    log "application: " & quoted form of the_app

    tell application the_app
        activate
        set bounds of window 1 to { x, y, w, h }
    end tell

end resizeActiveWindowWithRect

# Sets the bounds of the frontmost application to an arbitrary test rect
on resizeApplicationActiveWindow(theApp)

    log "resizeApplicationActiveWindow" & tab & quoted form of (theApp as text)

    set the_app to theApp

    log "application: " & quoted form of the_app

#tell application the_app
#       activate
#       set bounds of window 1 to { 1, 1, 1281, 721 }
#   end tell

    tell application "System Events" to tell application process the_app
        tell window 1
            set {size, position} to {{1280, 800}, {50, 50}}
        end tell
    end tell

    end resizeActiveWindow

end


